petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSRosWType

String with the name of a Rosenbrock-W method.

### Synopsis

    typedef const char* TSRosWType;
    #define TSROSW2M          "2m"
    #define TSROSW2P          "2p"
    #define TSROSWRA3PW       "ra3pw"
    #define TSROSWRA34PW2     "ra34pw2"
    #define TSROSWRODAS3      "rodas3"
    #define TSROSWSANDU3      "sandu3"
    #define TSROSWASSP3P3S1C  "assp3p3s1c"
    #define TSROSWLASSP3P4S2C "lassp3p4s2c"
    #define TSROSWLLSSP3P4S2C "llssp3p4s2c"
    #define TSROSWARK3        "ark3"
    #define TSROSWTHETA1      "theta1"
    #define TSROSWTHETA2      "theta2"
    #define TSROSWGRK4T       "grk4t"
    #define TSROSWSHAMP4      "shamp4"
    #define TSROSWVELDD4      "veldd4"
    #define TSROSW4L          "4l"

### See Also

TSRosWSetType(), TS, TSROSW, TSRosWRegister()

Level:beginner
Location:src/ts/../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages